petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagGetLocalSizes

get local elementwise sizes

### Synopsis

    PetscErrorCode DMStagGetLocalSizes(DM dm,PetscInt* m,PetscInt* n,PetscInt* p)

Not Collective

### Input Parameter

dm -the DMStag object

### Output Parameters

m,n,p -local element counts (excluding ghosts) in each direction

### Notes

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids. These arguments may be set to NULL in this case.

### See Also

DMSTAG, DMStagGetGlobalSizes(), DMStagGetDOF(), DMStagGetNumRanks(), DMDAGetLocalInfo()

### Level

intermediate

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages